Skip to:
Content
Pages
Categories
Search
Top
Bottom

A quick note about WordPress 3.2

  • Avatar of Boone Gorges
    Boone Gorges
    Keymaster

    @boonebgorges

    Hi everyone!

    It’s likely that WordPress 3.2 will be released very soon – anywhere from the next few hours to the next few days. One big change in WP 3.2 will affect BP users: the version of jQuery shipped with WP will jump from 1.4.4 to 1.6.1. (Read more about the change on the WP development blog.)

    BP’s packaged theme, BuddyPress Default (or bp-default, for short) makes extensive use of jQuery, and you’ll find that the version of bp-default in BP 1.2.8 is not 100% compatible with WP 3.2. Not to worry – we are planning a same-day BuddyPress release, BP 1.2.9. However, due to various technical reasons beyond our control, the jQuery in bp-default BP 1.2.9 will not work properly with earlier versions of jQuery.

    What this means, in a nutshell, is that you should upgrade your production BP website to WP 3.2 at the same time that you upgrade BP to 1.2.9. Conversely, if you do not plan to upgrade to WP 3.2, do not upgrade BP to 1.2.9 when it comes out.

Viewing 25 replies - 1 through 25 (of 36 total)
  • Avatar of Slava UA
    Slava UA
    Participant

    @slaffik

    WordPress 3.2 is out. So we are waiting for BP 1.2.9 :)

    Avatar of Boone Gorges
    Boone Gorges
    Keymaster

    @boonebgorges

    Avatar of valuser
    valuser
    Participant

    @valuser

    will the update from 1.29 to 1.3 be as smooth as this one (from 1.28 to 1.29) ?

    Avatar of Boone Gorges
    Boone Gorges
    Keymaster

    @boonebgorges

    Well, it will be a bit more complex. But we’ll do our best!

    Avatar of John James Jacoby
    John James Jacoby
    Keymaster

    @johnjamesjacoby

    @valuser – The migration to 1.3 will be just as easy, but we are making a few under-the-hood changes that still need to be tested for backwards compatibility.

    Avatar of valuser
    valuser
    Participant

    @valuser

    Bril & thanks.

    Avatar of Anointed
    Anointed
    Participant

    @anointed

    Curious why wp is using jQuery 1.6.1 vs. 1.6.2 esp considering some of the bugs that were fixed.
    This ticket alone was considered ‘serious’ and drove me absolutely nuts until upgrading:

    http://bugs.jquery.com/ticket/9300

    Avatar of Hugo
    Hugo
    Moderator

    @hnla

    Interesting I guess we can always de-register the WP script and enqueue our own versions if necessary, not that may help where plugins are concerned.

    Avatar of James
    James
    Participant

    @janismo

    if no one has reproaches, will use this topic to report wp 3.2 bp 1.2.9 issues.

    from other topics and my experience so far:

    site wide activities:
    - reply button loads nothing;
    - item tabs load nothing;
    - drop down loads nothing;

    Avatar of Hugo
    Hugo
    Moderator

    @hnla

    Testing on a default install of BP 1.2.9 / WP 3.2 Activity dir: all reply buttons in activity stream lists work, item-list-tabs work, dropdown activity-filter works.

    Are you running bp-default? Have you force refreshed your cache?

    Avatar of James
    James
    Participant

    @janismo

    hi hnla, you were faster than me.
    just checked all issues again and have to say sorry, all problems are from child theme (bp-default works just fine).
    can not find changelog of 1.2.9, were there any important changes I should implement in child theme?

    thanks.

    Avatar of rossagrant
    rossagrant
    Participant

    @rossagrant

    @janismo I too get the filter dropdowns in the groups/ forums/ members/ activity etc doing nothing now in BP 1.2.9

    Got a developer looking at it now.

    Hopefully we’ll find the cause!

    Keep me posted if you find out why!

    Avatar of James
    James
    Participant

    @janismo

    hi @rossagrant, just found why.

    in my case it was tutorial re how to hide/reveal activity replies. (I did not use plugin, therefore, these are lines

    `

    `

    in header of my child theme.

    if you do not use this tutorial, or plugin from the same author, check all other plugins, which use jquery.

    Avatar of Boone Gorges
    Boone Gorges
    Keymaster

    @boonebgorges

    James makes a good point. If you use a plugin (or custom code) that registers a non-standard versions of jQuery, you will have problems with the JS in bp-default (as well as WP and many other plugins).

    Avatar of rossagrant
    rossagrant
    Participant

    @rossagrant

    @boonebgorges I have just tried everything out on the same install with ALL plugins still ACTIVE but this time using the default theme and everything is okay.

    I take it that it is now something in my theme causing the issue.

    Would I be right to assume with it working in BP Default that my plugins are all okay to keep using? It isn’t those causing the issue but my theme? I do have an accordion that uses JS I think. It works but maybe causing a conflict?

    Avatar of Hugo
    Hugo
    Moderator

    @hnla

    Just looking back one post and at that snippet of code added a script call to the head it worries me as surely you would end up calling two different copies of the primary jQuery library, the WP one would need to be de-registered, preferably not though.

    after the upgrade i noticed that the dropdown activity-filter doesnt works

    Avatar of James
    James
    Participant

    @janismo

    @boonebgorges

    actually, everything was fine while I’ve been testing WP 3.1.5 BP 1.2.8. (it means jquery 1.3.2 in code and 1.4.4 in WP), PROBABLY, issue is not in external/internal jquery, but in changes of later versions, 1.6.1 in our case (this is what I have found http://buddypress.org/community/groups/how-to-and-troubleshooting/forum/topic/how-to-have-comment-and-replies-collapse-and-expand/?topic_page=5&num=15#post-103151). And now older versions from our child themes (who uses external jquery) have conflict with internal 1.6.1.

    I noticed the following on my site which is upgrade to wordpress 3.2, buddypress 1.2.9 and using the Platformpro template from pagelines.

    When you have the buddypress plugin enabled either 1.2.8 or 1.2.9 the following happens
    - The menu drop downs do not work as they do not display
    - In the dashboard the arrows that control the plugins expand/contract do not function
    - I use a feature from pagelines (it’s basically a slider) that no longer functions. It doesn’t slide and even clicking the thumbnails does not work

    If I disable the Buddypress plugin everything works fine?

    Avatar of petergriffyn
    petergriffyn
    Participant

    @petergriffyn

    I’m running a different theme to bp-default and platformpro and I am getting the same problems with primary/secondary menu drop-downs. What is the fix likely to be?

    I have been working in the Pagelines forums and received some feedback as others are experiencing this issue. I now have Buddypress active and it’s working.To do this I had to disable Buddypress Tempalte Pack. It seems the issue is with the Buddypress Template Pack and without this its just as if I have disable BuddyPress itself.

    Thank you – Mark

    In my case (activity filter and reply not working, and some other profile issue), i fixed copying the ajax.php and global.js files from the bp-default theme into my custom theme in _inc/ and it’s done.

    Avatar of petergriffyn
    petergriffyn
    Participant

    @petergriffyn

    @chules I’m not using the templates pack, so I can’t disable it.

    @n0ise I’ll give that shot, I’ve got no other option at the moment. :)

    Did you cut off the upgrade for the time being? For a while I saw the pending 1.2.9 upgrade, but I only applied it to a test site or two, no live ones. Now I don’t see the pending update any longer.

    Avatar of John James Jacoby
    John James Jacoby
    Keymaster

    @johnjamesjacoby

    Updates are cron’ed. You should be able to force check with the button in your updates screen.

Viewing 25 replies - 1 through 25 (of 36 total)

You must be logged in to reply to this topic.